### Hierarchy

- IPageOptions

## Index

### Properties

- cancelToken
- clearHistory
- onInit
- target

## Properties

### Optional cancelToken

cancelToken: CancelToken

- Defined in src/services/NavigationService.ts:43

If you want to cancel the window/frame, you can remove the window by calling cancel on given CancelToken

### Optional clearHistory

clearHistory: boolean

- Defined in src/services/NavigationService.ts:38

If set to true, it will clear the history of the frame

### Optional onInit

onInit: function

- Defined in src/services/NavigationService.ts:46

Initializer that will be invoked when page/popup/window is created

#### Type declaration

- - (view: any): void

  - #### Parameters

    - ##### view: any

    #### Returns void

### Optional target

target: string

- Defined in src/services/NavigationService.ts:33

target is name of a Frame or AtomTabbedPage component where this window/frame should be loaded.

Generated using TypeDoc